# Interface RuleOptions

interface RuleOptions {
active: boolean;
expression: string | number;
isCustom: boolean;
literal: string | number | string[];
lowerBoundary: number;
name: string;
operator: string;
operators: string[];
propertyName: string;
type: string;
upperBoundary: number;
}

- Defined in src/rule/Rule.js:25

#####
Index

### Properties

active
expression
isCustom
literal
lowerBoundary
name
operator
operators
propertyName
type
upperBoundary

## Properties

### active

active: boolean

Whether the rule is active or not. Used by the `ngeo-rule` component.

- Defined in src/rule/Rule.js:26

### expression

expression: string | number

Deprecated. Use literal instead. Kept for compatibility with saved filters.

- Defined in src/rule/Rule.js:27

### isCustom

isCustom: boolean

Whether the rule is a custom one or not. Defaults to `true`.

- Defined in src/rule/Rule.js:30

### literal

literal: string | number | string[]

The literal of the rule. The literal and boundaries are mutually exclusives.

- Defined in src/rule/Rule.js:28

### lowerBoundary

lowerBoundary: number

The lower boundary of the rule. The literal and boundaries are mutually exclusives.

- Defined in src/rule/Rule.js:31

### name

name: string

The human-readable name of the rule.

- Defined in src/rule/Rule.js:33

### operator

operator: string

The rule operator.

- Defined in src/rule/Rule.js:34

### operators

operators: string[]

The rule operators.

- Defined in src/rule/Rule.js:35

### propertyName

propertyName: string

The property name (a.k.a. the attribute name).

- Defined in src/rule/Rule.js:36

### type

type: string

The type of rule.

- Defined in src/rule/Rule.js:37

### upperBoundary

upperBoundary: number

The upper boundary of the rule. The literal and boundaries are mutually exclusives.

- Defined in src/rule/Rule.js:38